package property;

import com.pholser.junit.quickcheck.generator.GenerationStatus;
import com.pholser.junit.quickcheck.generator.Generator;
import com.pholser.junit.quickcheck.random.SourceOfRandomness;

public class CustomerGenerator extends Generator<Customer> {
    public CustomerGenerator() {
        super(Customer.class);
    }

    public Customer generate(final SourceOfRandomness random,
                             final GenerationStatus status) {
        final Generator<String> stringGenerator = gen().type(String.class);
        final String firstName = stringGenerator.generate(random, status);
        final String lastName = stringGenerator.generate(random, status);
        return new Customer(firstName, lastName);
    }
}
