package property;

public class Customer {
    // begin instance variables
    private String firstName;
    private String lastName;
    private int numPurchases;
    // end instance variables

    public Customer(final String firstName,
                    final String lastName) {
        this.firstName = firstName;
        this.lastName = lastName;
        numPurchases = 0;
    }

    public String getFirstName() {
        return firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void makePurchase() {
        numPurchases++;
    }

    public int getNumPurchases() {
        return numPurchases;
    }

    public String getFullName() {
        return firstName + " " + lastName;
    }
}
