package property;

public class EmptyList<A> implements MyList<A> {
    // empty constructor
    public EmptyList() {}

    public int length() {
        return 0;
    }

    public MyList<A> reverse() {
        return this;
    }
    
    public MyList<A> append(final MyList<A> other) {
        return other;
    }

    public boolean equals(final Object other) {
        return other instanceof EmptyList;
    }

    public String toString() {
        return "nil";
    }
}
