package property;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Arrays;

public class Reverse {
    public static ArrayList<Character> stringToList(final String input) {
        final ArrayList<Character> list = new ArrayList<Character>(input.length());
        for (int pos = 0; pos < input.length(); pos++) {
            final char charHere = input.charAt(pos);
            list.add(Character.valueOf(charHere));
        }
        return list;
    }

    public static String listToString(final ArrayList<Character> input) {
        final StringBuilder builder = new StringBuilder();
        for (final Character character : input) {
            builder.append(character.charValue());
        }
        return builder.toString();
    }

    public static String reverseString(final String input) {
        final ArrayList<Character> list = stringToList(input);
        Collections.reverse(list);
        return listToString(list);
    }
}
